using System;
using System.Collections.Generic;
using System.Text;
using FlashInsight.CodeSchedule.Library;
using FlashInsight.CodeSchedule.Library.Util;

namespace TestProcess
{
    [Serializable]
    public class EmailProcess:CodeScheduleProcess
    {
        public override bool Execute()
        {

            //check setting
            string strEmailFrom = this.GetSetting("FromEmailAddress");
            string strEmailTo = this.GetSetting("ToEmailAddress");
            string strSmtp = this.GetSetting("SmtpServer");
            string strMessage = this.GetSetting("Message");

            if (string.IsNullOrEmpty(strEmailFrom) || string.IsNullOrEmpty(strEmailTo) ||
                    string.IsNullOrEmpty(strSmtp))
            {
                this.Message = "Settings are not configured.";
                return false;
            }
            else
            {
                string strSent = "processed at " + DateTime.Now.ToString();
                this.Message = strSent;
                strMessage += "<br/><br/>[" + strSent + "]";
            }

            //send email
            try
            {
                string strSubject = System.Configuration.ConfigurationManager.AppSettings["Subject"];
                Log.LogDebug("subject = " + strSubject);
                EmailUtil objUtil = new EmailUtil(strEmailTo, strEmailFrom, strSubject, strMessage);
                objUtil.SmtpServer = strSmtp;
                objUtil.Send();
            }
            catch (Exception ex)
            {
                Log.LogError("Error sending email.", ex);
            }

            return true;
        }
    }
}
